# Uses of Class
javajs.util.OC

Packages that use OC
Package
Description
javajs.api
javajs.img
javajs.util
jspecview.api
jspecview.common
jspecview.export
jspecview.java
jspecview.js2d
org.jmol.adapter.smarter
org.jmol.adapter.writers
org.jmol.api
org.jmol.export
org.jmol.jvxl.api
org.jmol.jvxl.readers
org.jmol.modelsetbio
org.jmol.shapesurface
org.jmol.util
org.jmol.viewer

## Uses of OC in javajs.api

Methods in javajs.api with parameters of type OC
Modifier and Type
Method
Description
`boolean`
GenericImageEncoder.`createImage(String type, OC out, Map<String,Object> params)`

## Uses of OC in javajs.img

Fields in javajs.img declared as OC
Modifier and Type
Field
Description
`protected OC`
ImageEncoder.`out`
Methods in javajs.img with parameters of type OC
Modifier and Type
Method
Description
`boolean`
ImageEncoder.`createImage(String type, OC out, Map<String,Object> params)`

## Uses of OC in javajs.util

Methods in javajs.util that return OC
Modifier and Type
Method
Description
`OC`
OC.`append(String s)`
will go to string buffer if bw == null and os == null
`OC`
OC.`setBytes(byte[] b)`
`OC`
OC.`setParams(BytePoster bytePoster, String fileName, boolean asWriter, OutputStream os)`
Set up an output channel.
Methods in javajs.util with parameters of type OC
Modifier and Type
Method
Description
`static Object`
Rdr.`getStreamAsBytes(BufferedInputStream bis, OC out)`
Read a an entire BufferedInputStream for its bytes, and either return them or leave them in the designated output channel.

## Uses of OC in jspecview.api

Methods in jspecview.api with parameters of type OC
Modifier and Type
Method
Description
`String`
JSVExporter.`exportTheSpectrum(JSViewer viewer, ExportType type, OC out, Spectrum spec, int startIndex, int endIndex, PanelData pd, boolean asBase64)`
`String`
JSVPanel.`saveImage(String type, GenericFileInterface file, OC out, int width, int height)`

## Uses of OC in jspecview.common

Methods in jspecview.common that return OC
Modifier and Type
Method
Description
`OC`
JSViewer.`getOutputChannel(String fileName, boolean isBinary)`
Methods in jspecview.common with parameters of type OC
Modifier and Type
Method
Description
`static Object`
JSVFileManager.`getStreamAsBytes(BufferedInputStream bis, OC out)`

## Uses of OC in jspecview.export

Fields in jspecview.export declared as OC
Modifier and Type
Field
Description
`protected OC`
FormExporter.`out`
`protected OC`
FormExporter.`out`
`protected OC`
FormExporter.`out`
Methods in jspecview.export with parameters of type OC
Modifier and Type
Method
Description
`String`
AMLExporter.`exportTheSpectrum(JSViewer viewer, ExportType mode, OC out, Spectrum spec, int startIndex, int endIndex, PanelData pd, boolean asBase64)`
Exports the Spectrum that is displayed by JSVPanel to a file given by fileName If display is zoomed then export the current view
`String`
CMLExporter.`exportTheSpectrum(JSViewer viewer, ExportType mode, OC out, Spectrum spec, int startIndex, int endIndex, PanelData pd, boolean asBase64)`
Exports the Spectrum that is displayed by JSVPanel to a file given by fileName If display is zoomed then export the current view
`String`
Exporter.`exportTheSpectrum(JSViewer viewer, ExportType mode, OC out, Spectrum spec, int startIndex, int endIndex, PanelData pd, boolean asBase64)`
`String`
JDXExporter.`exportTheSpectrum(JSViewer viewer, ExportType type, OC out, Spectrum spectrum, int startIndex, int endIndex, PanelData pd, boolean asBase64)`
Exports spectrum in one of several formats
`String`
SVGExporter.`exportTheSpectrum(JSViewer viewer, ExportType mode, OC out, Spectrum spec, int startIndex, int endIndex, PanelData pd, boolean asBase64)`
Export a Graph as SVG to a file given by fileName

## Uses of OC in jspecview.java

Methods in jspecview.java with parameters of type OC
Modifier and Type
Method
Description
`String`
AwtPanel.`saveImage(String type, GenericFileInterface file, OC out, int width, int height)`

## Uses of OC in jspecview.js2d

Methods in jspecview.js2d with parameters of type OC
Modifier and Type
Method
Description
`String`
JsPanel.`saveImage(String type, GenericFileInterface file, OC out, int width, int height)`

## Uses of OC in org.jmol.adapter.smarter

Fields in org.jmol.adapter.smarter declared as OC
Modifier and Type
Field
Description
`protected OC`
AtomSetCollectionReader.`out`

## Uses of OC in org.jmol.adapter.writers

Fields in org.jmol.adapter.writers declared as OC
Modifier and Type
Field
Description
`protected OC`
CIFWriter.`oc`
`protected OC`
CMLWriter.`oc`
Methods in org.jmol.adapter.writers with parameters of type OC
Modifier and Type
Method
Description
`void`
CDXMLWriter.`set(Viewer viewer, OC out, Object[] data)`
`void`
CIFWriter.`set(Viewer viewer, OC oc, Object[] data)`
`void`
CMLWriter.`set(Viewer viewer, OC out, Object[] data)`
`void`
PDBWriter.`set(Viewer viewer, OC oc, Object[] data)`
`void`
PWMATWriter.`set(Viewer viewer, OC oc, Object[] data)`
`void`
QCJSONWriter.`set(Viewer viewer, OC oc, Object[] data)`
`void`
XSFWriter.`set(Viewer viewer, OC oc, Object[] data)`

## Uses of OC in org.jmol.api

Methods in org.jmol.api with parameters of type OC
Modifier and Type
Method
Description
`String`
JmolPdfCreatorInterface.`createPdfDocument(OC out, Object image)`
`String`
JmolPropertyManager.`getPdbAtomData(BS bs, OC out, boolean asPQR, boolean doTransform, boolean allTrajectories)`
`String`
JmolPropertyManager.`getPdbData(int modelIndex, String type, BS bsA, Object[] parameters, OC oc, boolean addStructure)`
`void`
JmolWriter.`set(Viewer vwr, OC out, Object[] data)`

## Uses of OC in org.jmol.export

Fields in org.jmol.export declared as OC
Modifier and Type
Field
Description
`protected OC`
___Exporter.`out`

## Uses of OC in org.jmol.jvxl.api

Methods in org.jmol.jvxl.api with parameters of type OC
Modifier and Type
Method
Description
`void`
MeshDataServer.`setOutputChannel(GenericBinaryDocument binaryDoc, OC out)`

## Uses of OC in org.jmol.jvxl.readers

Fields in org.jmol.jvxl.readers declared as OC
Modifier and Type
Field
Description
`protected OC`
SurfaceFileReader.`out`
`protected OC`
SurfaceFileReader.`out`
`protected OC`
SurfaceFileReader.`out`
Methods in org.jmol.jvxl.readers with parameters of type OC
Modifier and Type
Method
Description
`protected void`
SurfaceReader.`setOutputChannel(OC out)`

## Uses of OC in org.jmol.modelsetbio

Methods in org.jmol.modelsetbio with parameters of type OC
Modifier and Type
Method
Description
`void`
BioModel.`getPdbData(String type, char ctype, boolean isDraw, BS bsSelected, OC out, LabelToken[] tokens, SB pdbCONECT, BS bsWritten)`

## Uses of OC in org.jmol.shapesurface

Methods in org.jmol.shapesurface with parameters of type OC
Modifier and Type
Method
Description
`void`
Isosurface.`setOutputChannel(GenericBinaryDocument binaryDoc, OC out)`

## Uses of OC in org.jmol.util

Fields in org.jmol.util declared as OC
Modifier and Type
Field
Description
`protected OC`
JSONWriter.`oc`
Methods in org.jmol.util that return OC
Modifier and Type
Method
Description
`protected OC`
JSONWriter.`append(String s)`

## Uses of OC in org.jmol.viewer

Methods in org.jmol.viewer that return OC
Modifier and Type
Method
Description
`OC`
Viewer.`getOutputChannel(String localName, String[] fullPath)`
`OC`
Viewer.`openExportChannel(double privateKey, String fileName, boolean asWriter)`
Methods in org.jmol.viewer with parameters of type OC
Modifier and Type
Method
Description
`Object`
FileManager.`getFileAsBytes(String name, OC out)`
`String`
PropertyManager.`getPdbAtomData(BS bs, OC out, boolean isPQR, boolean doTransform, boolean allTrajectories)`
PDB or PQR only
`String`
Viewer.`getPdbAtomData(BS bs, OC out, boolean asPQR, boolean doTransform)`
`String`
PropertyManager.`getPdbData(int modelIndex, String type, BS bsSelected, Object[] parameters, OC out, boolean addStructure)`
`String`
Viewer.`getPdbData(int modelIndex, String type, BS bsAtoms, Object[] parameters, OC oc, boolean getStructure)`